diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -7176,138 +7180,138 @@ BP
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
 SF(typeset)108 84 Q F0([)2.5 E F1(\255aAfFgilnrtux)A F0 2.5(][)C F1
 <ad70>-2.5 E F0 2.5(][)C/F2 10/Times-Italic@0 SF(name)-2.5 E F0([=)A F2
-(value)A F0 2.5(].)C(..])-2.5 E 1.264(Declare v)144 96 R 1.264
-(ariables and/or gi)-.25 F 1.564 -.15(ve t)-.25 H 1.264(hem attrib).15 F
+(value)A F0 2.5(].)C(..])-2.5 E 1.265(Declare v)144 96 R 1.265
+(ariables and/or gi)-.25 F 1.565 -.15(ve t)-.25 H 1.265(hem attrib).15 F
 3.765(utes. If)-.2 F(no)3.765 E F2(name)3.765 E F0 3.765(sa)C 1.265
-(re gi)-3.765 F -.15(ve)-.25 G 3.765(nt).15 G 1.265(hen display the v)
--3.765 F 1.265(alues of)-.25 F -.25(va)144 108 S 3.483(riables. The).25
-F F1<ad70>3.483 E F0 .983(option will display the attrib)3.483 F .983
-(utes and v)-.2 F .982(alues of each)-.25 F F2(name)3.482 E F0 5.982(.W)
-.18 G(hen)-5.982 E F1<ad70>3.482 E F0 .982(is used)3.482 F(with)144 120
-Q F2(name)2.774 E F0(ar)2.774 E .274
+(re gi)-3.765 F -.15(ve)-.25 G 3.764(nt).15 G 1.264(hen display the v)
+-3.764 F 1.264(alues of)-.25 F -.25(va)144 108 S 3.482(riables. The).25
+F F1<ad70>3.482 E F0 .982(option will display the attrib)3.482 F .982
+(utes and v)-.2 F .983(alues of each)-.25 F F2(name)3.483 E F0 5.983(.W)
+.18 G(hen)-5.983 E F1<ad70>3.483 E F0 .983(is used)3.483 F(with)144 120
+Q F2(name)2.775 E F0(ar)2.775 E .275
 (guments, additional options, other than)-.18 F F1<ad66>2.775 E F0(and)
-2.775 E F1<ad46>2.775 E F0 2.775(,a)C .275(re ignored.)-2.775 F(When)
-5.275 E F1<ad70>2.775 E F0 .275(is supplied)2.775 F(without)144 132 Q F2
-(name)4.814 E F0(ar)4.814 E 2.314(guments, it will display the attrib)
--.18 F 2.314(utes and v)-.2 F 2.313(alues of all v)-.25 F 2.313
-(ariables ha)-.25 F 2.313(ving the)-.2 F(attrib)144 144 Q 1.181
-(utes speci\214ed by the additional options.)-.2 F 1.182
-(If no other options are supplied with)6.181 F F1<ad70>3.682 E F0(,)A F1
-(declar)3.682 E(e)-.18 E F0 .62(will display the attrib)144 156 R .62
+2.775 E F1<ad46>2.775 E F0 2.775(,a)C .274(re ignored.)-2.775 F(When)
+5.274 E F1<ad70>2.774 E F0 .274(is supplied)2.774 F(without)144 132 Q F2
+(name)4.813 E F0(ar)4.813 E 2.313(guments, it will display the attrib)
+-.18 F 2.314(utes and v)-.2 F 2.314(alues of all v)-.25 F 2.314
+(ariables ha)-.25 F 2.314(ving the)-.2 F(attrib)144 144 Q 1.182
+(utes speci\214ed by the additional options.)-.2 F 1.181
+(If no other options are supplied with)6.182 F F1<ad70>3.681 E F0(,)A F1
+(declar)3.681 E(e)-.18 E F0 .62(will display the attrib)144 156 R .62
 (utes and v)-.2 F .62(alues of all shell v)-.25 F 3.12(ariables. The)
 -.25 F F1<ad66>3.12 E F0 .62(option will restrict the display)3.12 F
-1.29(to shell functions.)144 168 R(The)6.29 E F1<ad46>3.79 E F0 1.291(o\
-ption inhibits the display of function de\214nitions; only the function)
-3.791 F .948(name and attrib)144 180 R .948(utes are printed.)-.2 F .948
-(If the)5.948 F F1(extdeb)3.448 E(ug)-.2 E F0 .948
+1.291(to shell functions.)144 168 R(The)6.291 E F1<ad46>3.791 E F0 1.291
+(option inhibits the display of function de\214nitions; only the functi\
+on)3.791 F .948(name and attrib)144 180 R .948(utes are printed.)-.2 F
+.948(If the)5.948 F F1(extdeb)3.448 E(ug)-.2 E F0 .948
 (shell option is enabled using)3.448 F F1(shopt)3.448 E F0 3.448(,t)C
 .948(he source)-3.448 F 1.69(\214le name and line number where each)144
 192 R F2(name)4.19 E F0 1.69(is de\214ned are displayed as well.)4.19 F
 (The)6.69 E F1<ad46>4.19 E F0(option)4.19 E(implies)144 204 Q F1<ad66>
-3.892 E F0 6.392(.T)C(he)-6.392 E F1<ad67>3.892 E F0 1.391
-(option forces v)3.892 F 1.391
+3.891 E F0 6.391(.T)C(he)-6.391 E F1<ad67>3.891 E F0 1.391
+(option forces v)3.891 F 1.391
 (ariables to be created or modi\214ed at the global scope, e)-.25 F -.15
-(ve)-.25 G(n).15 E(when)144 216 Q F1(declar)4.382 E(e)-.18 E F0 1.882
-(is e)4.382 F -.15(xe)-.15 G 1.882(cuted in a shell function.).15 F
-1.883(It is ignored in all other cases.)6.882 F 1.883(The follo)6.883 F
-(wing)-.25 E .794(options can be used to restrict output to v)144 228 R
-.794(ariables with the speci\214ed attrib)-.25 F .793(ute or to gi)-.2 F
-1.093 -.15(ve v)-.25 H(ariables)-.1 E(attrib)144 240 Q(utes:)-.2 E F1
+(ve)-.25 G(n).15 E(when)144 216 Q F1(declar)4.383 E(e)-.18 E F0 1.883
+(is e)4.383 F -.15(xe)-.15 G 1.883(cuted in a shell function.).15 F
+1.882(It is ignored in all other cases.)6.883 F 1.882(The follo)6.882 F
+(wing)-.25 E .793(options can be used to restrict output to v)144 228 R
+.794(ariables with the speci\214ed attrib)-.25 F .794(ute or to gi)-.2 F
+1.094 -.15(ve v)-.25 H(ariables)-.1 E(attrib)144 240 Q(utes:)-.2 E F1
 <ad61>144 252 Q F0(Each)180 252 Q F2(name)2.5 E F0(is an inde)2.5 E -.15
 (xe)-.15 G 2.5(da).15 G(rray v)-2.5 E(ariable \(see)-.25 E F1(Arrays)2.5
 E F0(abo)2.5 E -.15(ve)-.15 G(\).).15 E F1<ad41>144 264 Q F0(Each)180
 264 Q F2(name)2.5 E F0(is an associati)2.5 E .3 -.15(ve a)-.25 H(rray v)
 .15 E(ariable \(see)-.25 E F1(Arrays)2.5 E F0(abo)2.5 E -.15(ve)-.15 G
 (\).).15 E F1<ad66>144 276 Q F0(Use function names only)180 276 Q(.)-.65
-E F1<ad69>144 288 Q F0 .557(The v)180 288 R .558
+E F1<ad69>144 288 Q F0 .558(The v)180 288 R .558
 (ariable is treated as an inte)-.25 F .558(ger; arithmetic e)-.15 F -.25
-(va)-.25 G .558(luation \(see).25 F/F3 9/Times-Bold@0 SF .558
+(va)-.25 G .558(luation \(see).25 F/F3 9/Times-Bold@0 SF .557
 (ARITHMETIC EV)3.058 F(ALU)-1.215 E(A-)-.54 E(TION)180 300 Q F0(abo)2.25
 E -.15(ve)-.15 G 2.5(\)i).15 G 2.5(sp)-2.5 G(erformed when the v)-2.5 E
-(ariable is assigned a v)-.25 E(alue.)-.25 E F1<ad6c>144 312 Q F0 .91
+(ariable is assigned a v)-.25 E(alue.)-.25 E F1<ad6c>144 312 Q F0 .909
 (When the v)180 312 R .909(ariable is assigned a v)-.25 F .909
 (alue, all upper)-.25 F .909(-case characters are con)-.2 F -.15(ve)-.4
-G .909(rted to lo).15 F(wer)-.25 E(-)-.2 E 2.5(case. The)180 324 R
-(upper)2.5 E(-case attrib)-.2 E(ute is disabled.)-.2 E F1<ad6e>144 336 Q
-F0(Gi)180 336 Q 1.619 -.15(ve e)-.25 H(ach).15 E F2(name)3.819 E F0(the)
-3.819 E F2(namer)3.819 E(ef)-.37 E F0(attrib)3.819 E 1.319
+G .91(rted to lo).15 F(wer)-.25 E(-)-.2 E 2.5(case. The)180 324 R(upper)
+2.5 E(-case attrib)-.2 E(ute is disabled.)-.2 E F1<ad6e>144 336 Q F0(Gi)
+180 336 Q 1.62 -.15(ve e)-.25 H(ach).15 E F2(name)3.82 E F0(the)3.82 E
+F2(namer)3.819 E(ef)-.37 E F0(attrib)3.819 E 1.319
 (ute, making it a name reference to another v)-.2 F(ariable.)-.25 E
-1.519(That other v)180 348 R 1.519(ariable is de\214ned by the v)-.25 F
-1.518(alue of)-.25 F F2(name)4.018 E F0 6.518(.A)C 1.518
-(ll references, assignments, and)-6.518 F(attrib)180 360 Q .226
+1.518(That other v)180 348 R 1.518(ariable is de\214ned by the v)-.25 F
+1.519(alue of)-.25 F F2(name)4.019 E F0 6.519(.A)C 1.519
+(ll references, assignments, and)-6.519 F(attrib)180 360 Q .227
 (ute modi\214cations to)-.2 F F2(name)2.726 E F0 2.726(,e)C .226
 (xcept those using or changing the)-2.876 F F1<ad6e>2.726 E F0(attrib)
-2.726 E .227(ute itself, are)-.2 F .809(performed on the v)180 372 R
-.809(ariable referenced by)-.25 F F2(name)3.308 E F0 1.908 -.55('s v)D
-3.308(alue. The).3 F .808(nameref attrib)3.308 F .808(ute cannot be)-.2
+2.726 E .226(ute itself, are)-.2 F .808(performed on the v)180 372 R
+.808(ariable referenced by)-.25 F F2(name)3.308 E F0 1.908 -.55('s v)D
+3.308(alue. The).3 F .809(nameref attrib)3.309 F .809(ute cannot be)-.2
 F(applied to array v)180 384 Q(ariables.)-.25 E F1<ad72>144 396 Q F0
-(Mak)180 396 Q(e)-.1 E F2(name)5.046 E F0 5.046(sr)C(eadonly)-5.046 E
-7.546(.T)-.65 G 2.546(hese names cannot then be assigned v)-7.546 F
-2.547(alues by subsequent)-.25 F(assignment statements or unset.)180 408
-Q F1<ad74>144 420 Q F0(Gi)180 420 Q .73 -.15(ve e)-.25 H(ach).15 E F2
-(name)2.93 E F0(the)2.929 E F2(tr)2.929 E(ace)-.15 E F0(attrib)2.929 E
+(Mak)180 396 Q(e)-.1 E F2(name)5.047 E F0 5.047(sr)C(eadonly)-5.047 E
+7.547(.T)-.65 G 2.546(hese names cannot then be assigned v)-7.547 F
+2.546(alues by subsequent)-.25 F(assignment statements or unset.)180 408
+Q F1<ad74>144 420 Q F0(Gi)180 420 Q .729 -.15(ve e)-.25 H(ach).15 E F2
+(name)2.929 E F0(the)2.929 E F2(tr)2.929 E(ace)-.15 E F0(attrib)2.929 E
 2.929(ute. T)-.2 F .429(raced functions inherit the)-.35 F F1(DEB)2.929
-E(UG)-.1 E F0(and)2.929 E F1(RETURN)2.929 E F0
+E(UG)-.1 E F0(and)2.93 E F1(RETURN)2.93 E F0
 (traps from the calling shell.)180 432 Q(The trace attrib)5 E
 (ute has no special meaning for v)-.2 E(ariables.)-.25 E F1<ad75>144 444
-Q F0 .909(When the v)180 444 R .909(ariable is assigned a v)-.25 F .909
+Q F0 .91(When the v)180 444 R .909(ariable is assigned a v)-.25 F .909
 (alue, all lo)-.25 F(wer)-.25 E .909(-case characters are con)-.2 F -.15
-(ve)-.4 G .91(rted to upper).15 F(-)-.2 E 2.5(case. The)180 456 R(lo)2.5
-E(wer)-.25 E(-case attrib)-.2 E(ute is disabled.)-.2 E F1<ad78>144 468 Q
-F0(Mark)180 468 Q F2(name)2.5 E F0 2.5(sf)C(or e)-2.5 E
-(xport to subsequent commands via the en)-.15 E(vironment.)-.4 E .121
-(Using `+' instead of `\255' turns of)144 484.8 R 2.621(ft)-.25 G .121
-(he attrib)-2.621 F .121(ute instead, with the e)-.2 F .12
-(xceptions that)-.15 F F1(+a)2.62 E F0 .12(may not be used)2.62 F .644
-(to destro)144 496.8 R 3.144(ya)-.1 G 3.144(na)-3.144 G .644(rray v)
--3.144 F .644(ariable and)-.25 F F1(+r)3.145 E F0 .645(will not remo)
-3.145 F .945 -.15(ve t)-.15 H .645(he readonly attrib).15 F 3.145
-(ute. When)-.2 F .645(used in a func-)3.145 F(tion,)144 508.8 Q F1
+(ve)-.4 G .909(rted to upper).15 F(-)-.2 E 2.5(case. The)180 456 R(lo)
+2.5 E(wer)-.25 E(-case attrib)-.2 E(ute is disabled.)-.2 E F1<ad78>144
+468 Q F0(Mark)180 468 Q F2(name)2.5 E F0 2.5(sf)C(or e)-2.5 E
+(xport to subsequent commands via the en)-.15 E(vironment.)-.4 E .12
+(Using `+' instead of `\255' turns of)144 484.8 R 2.62(ft)-.25 G .12
+(he attrib)-2.62 F .121(ute instead, with the e)-.2 F .121
+(xceptions that)-.15 F F1(+a)2.621 E F0 .121(may not be used)2.621 F
+.645(to destro)144 496.8 R 3.145(ya)-.1 G 3.145(na)-3.145 G .645(rray v)
+-3.145 F .645(ariable and)-.25 F F1(+r)3.145 E F0 .645(will not remo)
+3.145 F .945 -.15(ve t)-.15 H .645(he readonly attrib).15 F 3.144
+(ute. When)-.2 F .644(used in a func-)3.144 F(tion,)144 508.8 Q F1
 (declar)2.835 E(e)-.18 E F0(and)2.835 E F1(typeset)2.835 E F0(mak)2.835
 E 2.835(ee)-.1 G(ach)-2.835 E F2(name)2.835 E F0 .335
 (local, as with the)2.835 F F1(local)2.835 E F0 .335
-(command, unless the)2.835 F F1<ad67>2.835 E F0(option)2.835 E 1.282
-(is supplied.)144 520.8 R 1.282(If a v)6.282 F 1.283
+(command, unless the)2.835 F F1<ad67>2.835 E F0(option)2.835 E 1.283
+(is supplied.)144 520.8 R 1.283(If a v)6.283 F 1.283
 (ariable name is follo)-.25 F 1.283(wed by =)-.25 F F2(value)A F0 3.783
-(,t)C 1.283(he v)-3.783 F 1.283(alue of the v)-.25 F 1.283
-(ariable is set to)-.25 F F2(value)3.783 E F0(.)A .927(When using)144
-532.8 R F1<ad61>3.427 E F0(or)3.427 E F1<ad41>3.427 E F0 .926
-(and the compound assignment syntax to create array v)3.427 F .926
+(,t)C 1.283(he v)-3.783 F 1.283(alue of the v)-.25 F 1.282
+(ariable is set to)-.25 F F2(value)3.782 E F0(.)A .926(When using)144
+532.8 R F1<ad61>3.426 E F0(or)3.426 E F1<ad41>3.426 E F0 .927
+(and the compound assignment syntax to create array v)3.426 F .927
 (ariables, additional)-.25 F(attrib)144 544.8 Q .592(utes do not tak)-.2
 F 3.092(ee)-.1 G -.25(ff)-3.092 G .592
 (ect until subsequent assignments.).25 F .592(The return v)5.592 F .592
 (alue is 0 unless an in)-.25 F -.25(va)-.4 G(lid).25 E .429
 (option is encountered, an attempt is made to de\214ne a function using)
-144 556.8 R/F4 10/Courier@0 SF .428(\255f foo=bar)2.929 F F0 2.928(,a)C
-2.928(na)-2.928 G .428(ttempt is)-2.928 F .062(made to assign a v)144
-568.8 R .062(alue to a readonly v)-.25 F .063
-(ariable, an attempt is made to assign a v)-.25 F .063
+144 556.8 R/F4 10/Courier@0 SF .429(\255f foo=bar)2.929 F F0 2.929(,a)C
+2.929(na)-2.929 G .429(ttempt is)-2.929 F .063(made to assign a v)144
+568.8 R .063(alue to a readonly v)-.25 F .062
+(ariable, an attempt is made to assign a v)-.25 F .062
 (alue to an array v)-.25 F(ari-)-.25 E .102
 (able without using the compound assignment syntax \(see)144 580.8 R F1
 (Arrays)2.602 E F0(abo)2.602 E -.15(ve)-.15 G .102(\), one of the).15 F
-F2(names)2.602 E F0 .101(is not a)2.602 F -.25(va)144 592.8 S .171
+F2(names)2.602 E F0 .102(is not a)2.602 F -.25(va)144 592.8 S .172
 (lid shell v).25 F .171(ariable name, an attempt is made to turn of)-.25
-F 2.671(fr)-.25 G .171(eadonly status for a readonly v)-2.671 F .172
+F 2.671(fr)-.25 G .171(eadonly status for a readonly v)-2.671 F .171
 (ariable, an)-.25 F .96(attempt is made to turn of)144 604.8 R 3.46(fa)
 -.25 G .96(rray status for an array v)-3.46 F .96
 (ariable, or an attempt is made to display a)-.25 F(non-e)144 616.8 Q
 (xistent function with)-.15 E F1<ad66>2.5 E F0(.)A F1
 (dirs [\255clpv] [+)108 633.6 Q F2(n)A F1 2.5(][)C<ad>-2.5 E F2(n)A F1
-(])A F0 -.4(Wi)144 645.6 S .328
+(])A F0 -.4(Wi)144 645.6 S .329
 (thout options, displays the list of currently remembered directories.)
-.4 F .329(The def)5.329 F .329(ault display is on a)-.1 F 1.238
+.4 F .328(The def)5.328 F .328(ault display is on a)-.1 F 1.238
 (single line with directory names separated by spaces.)144 657.6 R 1.238
 (Directories are added to the list with the)6.238 F F1(pushd)144 669.6 Q
-F0 2.003(command; the)4.503 F F1(popd)4.503 E F0 2.003(command remo)
+F0 2.003(command; the)4.504 F F1(popd)4.503 E F0 2.003(command remo)
 4.503 F -.15(ve)-.15 G 4.503(se).15 G 2.003(ntries from the list.)-4.503
 F 2.003(The current directory is)7.003 F(al)144 681.6 Q -.1(wa)-.1 G
 (ys the \214rst directory in the stack.).1 E F1<ad63>144 693.6 Q F0
 (Clears the directory stack by deleting all of the entries.)180 693.6 Q
-F1<ad6c>144 705.6 Q F0 .882
-(Produces a listing using full pathnames; the def)180 705.6 R .881
+F1<ad6c>144 705.6 Q F0 .881
+(Produces a listing using full pathnames; the def)180 705.6 R .882
 (ault listing format uses a tilde to denote)-.1 F(the home directory)180
-717.6 Q(.)-.65 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(60)197.335
-E 0 Cg EP
+717.6 Q(.)-.65 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(60)
+192.895 E 0 Cg EP
 %%Page: 61 61
 %%BeginPageSetup
 BP
@@ -7315,61 +7319,61 @@ BP
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
 SF<ad70>144 84 Q F0(Print the directory stack with one entry per line.)
-180 84 Q F1<ad76>144 96 Q F0 .272(Print the directory stack with one en\
-try per line, pre\214xing each entry with its inde)180 96 R 2.773(xi)
--.15 G 2.773(nt)-2.773 G(he)-2.773 E(stack.)180 108 Q F1(+)144 120 Q/F2
-10/Times-Italic@0 SF(n)A F0 1.565(Displays the)180 120 R F2(n)4.065 E F0
-1.565(th entry counting from the left of the list sho)B 1.564(wn by)-.25
-F F1(dirs)4.064 E F0 1.564(when in)4.064 F -.2(vo)-.4 G -.1(ke).2 G(d).1
+180 84 Q F1<ad76>144 96 Q F0 .273(Print the directory stack with one en\
+try per line, pre\214xing each entry with its inde)180 96 R 2.772(xi)
+-.15 G 2.772(nt)-2.772 G(he)-2.772 E(stack.)180 108 Q F1(+)144 120 Q/F2
+10/Times-Italic@0 SF(n)A F0 1.564(Displays the)180 120 R F2(n)4.064 E F0
+1.565(th entry counting from the left of the list sho)B 1.565(wn by)-.25
+F F1(dirs)4.065 E F0 1.565(when in)4.065 F -.2(vo)-.4 G -.1(ke).2 G(d).1
 E(without options, starting with zero.)180 132 Q F1<ad>144 144 Q F2(n)A
 F0 1.194(Displays the)180 144 R F2(n)3.694 E F0 1.194
 (th entry counting from the right of the list sho)B 1.194(wn by)-.25 F
 F1(dirs)3.694 E F0 1.194(when in)3.694 F -.2(vo)-.4 G -.1(ke).2 G(d).1 E
-(without options, starting with zero.)180 156 Q .258(The return v)144
+(without options, starting with zero.)180 156 Q .257(The return v)144
 172.8 R .258(alue is 0 unless an in)-.25 F -.25(va)-.4 G .258
 (lid option is supplied or).25 F F2(n)2.758 E F0(inde)2.758 E -.15(xe)
 -.15 G 2.758(sb).15 G -.15(ey)-2.758 G .258(ond the end of the direc-)
 .15 F(tory stack.)144 184.8 Q F1(diso)108 201.6 Q(wn)-.1 E F0([)2.5 E F1
 (\255ar)A F0 2.5(][)C F1<ad68>-2.5 E F0 2.5(][)C F2(jobspec)-2.5 E F0
-(... |)2.5 E F2(pid)2.5 E F0(... ])2.5 E -.4(Wi)144 213.6 S .121
+(... |)2.5 E F2(pid)2.5 E F0(... ])2.5 E -.4(Wi)144 213.6 S .122
 (thout options, remo).4 F .422 -.15(ve e)-.15 H(ach).15 E F2(jobspec)
 4.362 E F0 .122(from the table of acti)2.932 F .422 -.15(ve j)-.25 H
-2.622(obs. If).15 F F2(jobspec)4.362 E F0 .122(is not present, and)2.932
+2.622(obs. If).15 F F2(jobspec)4.362 E F0 .121(is not present, and)2.932
 F .096(neither the)144 225.6 R F1<ad61>2.596 E F0 .096(nor the)2.596 F
 F1<ad72>2.596 E F0 .096(option is supplied, the)2.596 F F2(curr)2.596 E
 .096(ent job)-.37 F F0 .096(is used.)2.596 F .096(If the)5.096 F F1
 <ad68>2.596 E F0 .096(option is gi)2.596 F -.15(ve)-.25 G .096(n, each)
-.15 F F2(jobspec)145.74 237.6 Q F0 .585(is not remo)3.395 F -.15(ve)-.15
-G 3.085(df).15 G .585(rom the table, b)-3.085 F .585(ut is mark)-.2 F
-.585(ed so that)-.1 F/F3 9/Times-Bold@0 SF(SIGHUP)3.085 E F0 .586
+.15 F F2(jobspec)145.74 237.6 Q F0 .586(is not remo)3.396 F -.15(ve)-.15
+G 3.086(df).15 G .585(rom the table, b)-3.086 F .585(ut is mark)-.2 F
+.585(ed so that)-.1 F/F3 9/Times-Bold@0 SF(SIGHUP)3.085 E F0 .585
 (is not sent to the job if the)2.835 F .962(shell recei)144 249.6 R -.15
 (ve)-.25 G 3.462(sa).15 G F3(SIGHUP)A/F4 9/Times-Roman@0 SF(.)A F0 .962
 (If no)5.462 F F2(jobspec)5.202 E F0 .962(is supplied, the)3.772 F F1
 <ad61>3.462 E F0 .962(option means to remo)3.462 F 1.262 -.15(ve o)-.15
-H 3.462(rm).15 G .962(ark all)-3.462 F 1.358(jobs; the)144 261.6 R F1
-<ad72>3.858 E F0 1.358(option without a)3.858 F F2(jobspec)5.598 E F0
-(ar)4.169 E 1.359(gument restricts operation to running jobs.)-.18 F
-1.359(The return)6.359 F -.25(va)144 273.6 S(lue is 0 unless a).25 E F2
+H 3.462(rm).15 G .962(ark all)-3.462 F 1.359(jobs; the)144 261.6 R F1
+<ad72>3.859 E F0 1.359(option without a)3.859 F F2(jobspec)5.599 E F0
+(ar)4.169 E 1.358(gument restricts operation to running jobs.)-.18 F
+1.358(The return)6.358 F -.25(va)144 273.6 S(lue is 0 unless a).25 E F2
 (jobspec)4.24 E F0(does not specify a v)2.81 E(alid job)-.25 E(.)-.4 E
 F1(echo)108 290.4 Q F0([)2.5 E F1(\255neE)A F0 2.5(][)C F2(ar)-2.5 E(g)
--.37 E F0(...])2.5 E .425(Output the)144 302.4 R F2(ar)2.925 E(g)-.37 E
+-.37 E F0(...])2.5 E .424(Output the)144 302.4 R F2(ar)2.924 E(g)-.37 E
 F0 .424(s, separated by spaces, follo)B .424(wed by a ne)-.25 F 2.924
-(wline. The)-.25 F .424(return status is 0 unless a write)2.924 F .307
-(error occurs.)144 314.4 R(If)5.307 E F1<ad6e>2.807 E F0 .307
-(is speci\214ed, the trailing ne)2.807 F .308(wline is suppressed.)-.25
-F .308(If the)5.308 F F1<ad65>2.808 E F0 .308(option is gi)2.808 F -.15
-(ve)-.25 G .308(n, inter).15 F(-)-.2 E 1.349(pretation of the follo)144
+(wline. The)-.25 F .424(return status is 0 unless a write)2.924 F .308
+(error occurs.)144 314.4 R(If)5.308 E F1<ad6e>2.808 E F0 .308
+(is speci\214ed, the trailing ne)2.808 F .308(wline is suppressed.)-.25
+F .307(If the)5.308 F F1<ad65>2.807 E F0 .307(option is gi)2.807 F -.15
+(ve)-.25 G .307(n, inter).15 F(-)-.2 E 1.348(pretation of the follo)144
 326.4 R 1.348(wing backslash-escaped characters is enabled.)-.25 F(The)
-6.348 E F1<ad45>3.848 E F0 1.348(option disables the)3.848 F 1.054
+6.348 E F1<ad45>3.849 E F0 1.349(option disables the)3.849 F 1.055
 (interpretation of these escape characters, e)144 338.4 R -.15(ve)-.25 G
-3.555(no).15 G 3.555(ns)-3.555 G 1.055(ystems where the)-3.555 F 3.555
-(ya)-.15 G 1.055(re interpreted by def)-3.555 F(ault.)-.1 E(The)144
-350.4 Q F1(xpg_echo)3.459 E F0 .959
-(shell option may be used to dynamically determine whether or not)3.459
-F F1(echo)3.458 E F0 -.15(ex)3.458 G(pands).15 E .715
-(these escape characters by def)144 362.4 R(ault.)-.1 E F1(echo)5.715 E
-F0 .716(does not interpret)3.215 F F1<adad>3.216 E F0 .716
-(to mean the end of options.)3.216 F F1(echo)5.716 E F0
+3.555(no).15 G 3.555(ns)-3.555 G 1.055(ystems where the)-3.555 F 3.554
+(ya)-.15 G 1.054(re interpreted by def)-3.554 F(ault.)-.1 E(The)144
+350.4 Q F1(xpg_echo)3.458 E F0 .959
+(shell option may be used to dynamically determine whether or not)3.458
+F F1(echo)3.459 E F0 -.15(ex)3.459 G(pands).15 E .716
+(these escape characters by def)144 362.4 R(ault.)-.1 E F1(echo)5.716 E
+F0 .716(does not interpret)3.216 F F1<adad>3.216 E F0 .715
+(to mean the end of options.)3.216 F F1(echo)5.715 E F0
 (interprets the follo)144 374.4 Q(wing escape sequences:)-.25 E F1(\\a)
 144 386.4 Q F0(alert \(bell\))180 386.4 Q F1(\\b)144 398.4 Q F0
 (backspace)180 398.4 Q F1(\\c)144 410.4 Q F0(suppress further output)180
@@ -7384,65 +7388,65 @@ E(alue)-.25 E F2(nnn)2.5 E F0(\(zero to three octal digits\))2.5 E F1
 (\\x)144 530.4 Q F2(HH)A F0(the eight-bit character whose v)180 530.4 Q
 (alue is the he)-.25 E(xadecimal v)-.15 E(alue)-.25 E F2(HH)2.5 E F0
 (\(one or tw)2.5 E 2.5(oh)-.1 G .3 -.15(ex d)-2.5 H(igits\)).15 E F1
-(\\u)144 542.4 Q F2(HHHH)A F0 1.507
-(the Unicode \(ISO/IEC 10646\) character whose v)180 554.4 R 1.506
-(alue is the he)-.25 F 1.506(xadecimal v)-.15 F(alue)-.25 E F2(HHHH)
-4.006 E F0(\(one to four he)180 566.4 Q 2.5(xd)-.15 G(igits\))-2.5 E F1
-(\\U)144 578.4 Q F2(HHHHHHHH)A F0 .547
+(\\u)144 542.4 Q F2(HHHH)A F0 1.506
+(the Unicode \(ISO/IEC 10646\) character whose v)180 554.4 R 1.507
+(alue is the he)-.25 F 1.507(xadecimal v)-.15 F(alue)-.25 E F2(HHHH)
+4.007 E F0(\(one to four he)180 566.4 Q 2.5(xd)-.15 G(igits\))-2.5 E F1
+(\\U)144 578.4 Q F2(HHHHHHHH)A F0 .548
 (the Unicode \(ISO/IEC 10646\) character whose v)180 590.4 R .547
-(alue is the he)-.25 F .548(xadecimal v)-.15 F(alue)-.25 E F2(HHHHH-)
-3.048 E(HHH)180 602.4 Q F0(\(one to eight he)2.5 E 2.5(xd)-.15 G
+(alue is the he)-.25 F .547(xadecimal v)-.15 F(alue)-.25 E F2(HHHHH-)
+3.047 E(HHH)180 602.4 Q F0(\(one to eight he)2.5 E 2.5(xd)-.15 G
 (igits\))-2.5 E F1(enable)108 619.2 Q F0([)2.5 E F1<ad61>A F0 2.5(][)C
 F1(\255dnps)-2.5 E F0 2.5(][)C F1<ad66>-2.5 E F2(\214lename)2.5 E F0 2.5
-(][)C F2(name)-2.5 E F0(...])2.5 E .278(Enable and disable b)144 631.2 R
+(][)C F2(name)-2.5 E F0(...])2.5 E .277(Enable and disable b)144 631.2 R
 .278(uiltin shell commands.)-.2 F .278(Disabling a b)5.278 F .278
-(uiltin allo)-.2 F .278(ws a disk command which has)-.25 F .833
+(uiltin allo)-.2 F .278(ws a disk command which has)-.25 F .834
 (the same name as a shell b)144 643.2 R .834(uiltin to be e)-.2 F -.15
 (xe)-.15 G .834(cuted without specifying a full pathname, e).15 F -.15
-(ve)-.25 G 3.334(nt).15 G(hough)-3.334 E .99
+(ve)-.25 G 3.333(nt).15 G(hough)-3.333 E .989
 (the shell normally searches for b)144 655.2 R .989
-(uiltins before disk commands.)-.2 F(If)5.989 E F1<ad6e>3.489 E F0 .989
-(is used, each)3.489 F F2(name)3.489 E F0 .989(is dis-)3.489 F 1.581
+(uiltins before disk commands.)-.2 F(If)5.989 E F1<ad6e>3.489 E F0 .99
+(is used, each)3.49 F F2(name)3.49 E F0 .99(is dis-)3.49 F 1.582
 (abled; otherwise,)144 667.2 R F2(names)4.082 E F0 1.582(are enabled.)
 4.082 F -.15(Fo)6.582 G 4.082(re).15 G 1.582(xample, to use the)-4.232 F
-F1(test)4.082 E F0 1.582(binary found via the)4.082 F F3 -.666(PA)4.082
-G(TH)-.189 E F0 .081(instead of the shell b)144 679.2 R .081(uiltin v)
--.2 F .081(ersion, run)-.15 F/F5 10/Courier@0 SF .081(enable -n test)
-2.581 F F0 5.081(.T)C(he)-5.081 E F1<ad66>2.58 E F0 .08
-(option means to load the ne)2.58 F(w)-.25 E -.2(bu)144 691.2 S 1.524
-(iltin command).2 F F2(name)4.384 E F0 1.524(from shared object)4.204 F
+F1(test)4.082 E F0 1.582(binary found via the)4.082 F F3 -.666(PA)4.081
+G(TH)-.189 E F0 .08(instead of the shell b)144 679.2 R .08(uiltin v)-.2
+F .08(ersion, run)-.15 F/F5 10/Courier@0 SF .081(enable -n test)2.58 F
+F0 5.081(.T)C(he)-5.081 E F1<ad66>2.581 E F0 .081
+(option means to load the ne)2.581 F(w)-.25 E -.2(bu)144 691.2 S 1.525
+(iltin command).2 F F2(name)4.385 E F0 1.524(from shared object)4.204 F
 F2(\214lename)4.024 E F0 4.024(,o).18 G 4.024(ns)-4.024 G 1.524
 (ystems that support dynamic loading.)-4.024 F(The)144 703.2 Q F1<ad64>
-2.867 E F0 .367(option will delete a b)2.867 F .367(uiltin pre)-.2 F
-.367(viously loaded with)-.25 F F1<ad66>2.866 E F0 5.366(.I)C 2.866(fn)
--5.366 G(o)-2.866 E F2(name)2.866 E F0(ar)2.866 E .366(guments are gi)
--.18 F -.15(ve)-.25 G .366(n, or).15 F .398(if the)144 715.2 R F1<ad70>
-2.898 E F0 .399(option is supplied, a list of shell b)2.899 F .399
+2.866 E F0 .366(option will delete a b)2.866 F .366(uiltin pre)-.2 F
+.366(viously loaded with)-.25 F F1<ad66>2.867 E F0 5.367(.I)C 2.867(fn)
+-5.367 G(o)-2.867 E F2(name)2.867 E F0(ar)2.867 E .367(guments are gi)
+-.18 F -.15(ve)-.25 G .367(n, or).15 F .399(if the)144 715.2 R F1<ad70>
+2.899 E F0 .399(option is supplied, a list of shell b)2.899 F .399
 (uiltins is printed.)-.2 F -.4(Wi)5.399 G .399(th no other option ar).4
-F .399(guments, the)-.18 F .099(list consists of all enabled shell b)144
+F .398(guments, the)-.18 F .098(list consists of all enabled shell b)144
 727.2 R 2.598(uiltins. If)-.2 F F1<ad6e>2.598 E F0 .098
-(is supplied, only disabled b)2.598 F .098(uiltins are printed.)-.2 F
-(If)5.098 E F1<ad61>2.598 E F0(GNU Bash 4.4)72 768 Q(2017 June 23)
-148.175 E(61)197.335 E 0 Cg EP
+(is supplied, only disabled b)2.598 F .099(uiltins are printed.)-.2 F
+(If)5.099 E F1<ad61>2.599 E F0(GNU Bash 4.4)72 768 Q(2017 October 7)
+143.735 E(61)192.895 E 0 Cg EP
 %%Page: 62 62
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
-(Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E 1.916
+(Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E 1.917
 (is supplied, the list printed includes all b)144 84 R 1.916
-(uiltins, with an indication of whether or not each is)-.2 F 2.879
-(enabled. If)144 96 R/F1 10/Times-Bold@0 SF<ad73>2.879 E F0 .379
-(is supplied, the output is restricted to the POSIX)2.879 F/F2 10
-/Times-Italic@0 SF(special)2.879 E F0 -.2(bu)2.878 G 2.878(iltins. The)
-.2 F .378(return v)2.878 F(alue)-.25 E .994(is 0 unless a)144 108 R F2
-(name)3.854 E F0 .994(is not a shell b)3.674 F .994
-(uiltin or there is an error loading a ne)-.2 F 3.495(wb)-.25 G .995
-(uiltin from a shared)-3.695 F(object.)144 120 Q F1 -2.3 -.15(ev a)108
+(uiltins, with an indication of whether or not each is)-.2 F 2.878
+(enabled. If)144 96 R/F1 10/Times-Bold@0 SF<ad73>2.878 E F0 .379
+(is supplied, the output is restricted to the POSIX)2.878 F/F2 10
+/Times-Italic@0 SF(special)2.879 E F0 -.2(bu)2.879 G 2.879(iltins. The)
+.2 F .379(return v)2.879 F(alue)-.25 E .995(is 0 unless a)144 108 R F2
+(name)3.855 E F0 .994(is not a shell b)3.675 F .994
+(uiltin or there is an error loading a ne)-.2 F 3.494(wb)-.25 G .994
+(uiltin from a shared)-3.694 F(object.)144 120 Q F1 -2.3 -.15(ev a)108
 136.8 T(l).15 E F0([)2.5 E F2(ar)A(g)-.37 E F0(...])2.5 E(The)144 148.8
-Q F2(ar)3.171 E(g)-.37 E F0 3.171(sa)C .671
-(re read and concatenated together into a single command.)-3.171 F .67
-(This command is then read)5.67 F .495(and e)144 160.8 R -.15(xe)-.15 G
+Q F2(ar)3.17 E(g)-.37 E F0 3.17(sa)C .671
+(re read and concatenated together into a single command.)-3.17 F .671
+(This command is then read)5.671 F .495(and e)144 160.8 R -.15(xe)-.15 G
 .495(cuted by the shell, and its e).15 F .495
 (xit status is returned as the v)-.15 F .495(alue of)-.25 F F1 -2.3 -.15
 (ev a)2.995 H(l).15 E F0 5.495(.I)C 2.995(ft)-5.495 G .495(here are no)
